Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.wsrp.consumer.portlet
Class ConsumerEnvironmentImpl

    java.lang.Object
      org.apache.wsrp4j.consumer.driver.GenericConsumerEnvironment
          org.apache.wsrp4j.consumer.portlet.impl.ConsumerEnvironmentImpl
              org.jasig.portal.wsrp.consumer.portlet.ConsumerEnvironmentImpl

All Implemented Interfaces:
  org.apache.wsrp4j.consumer.Consumer, org.apache.wsrp4j.consumer.ConsumerCapabilities, org.apache.wsrp4j.consumer.ConsumerEnvironment

    public class ConsumerEnvironmentImpl

extends org.apache.wsrp4j.consumer.portlet.impl.ConsumerEnvironmentImpl

Class implements the consumer environment interface for the proxy portlet consumer.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static java.lang.String` | `CONSUMER_AGENT`

Constructor Summary
`ConsumerEnvironmentImpl()`

Method Summary
`org.apache.wsrp4j.consumer.ProducerRegistry` | `getProducerRegistry()`

Methods inherited from class org.apache.wsrp4j.consumer.portlet.impl.ConsumerEnvironmentImpl
`setRegistryPath`

Methods inherited from class org.apache.wsrp4j.consumer.driver.GenericConsumerEnvironment
`getCharacterEncodingSet, getConsumerAgent, getMimeTypes, getPortletDriverRegistry, getPortletRegistry, getPortletStateChange, getSessionHandler, getSupportedLocales, getSupportedModes, getSupportedWindowStates, getTemplateComposer, getURLRewriter, getUserAuthentication, getUserRegistry, setCharacterEncodingSet, setConsumerAgent, setMimeTypes, setPortletDriverRegistry, setPortletRegistry, setPortletStateChange, setProducerRegistry, setSessionHandler, setSupportedLocales, setSupportedModes, setSupportedWindowStates, setTemplateComposer, setURLRewriter, setUserAuthentication, setUserRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSUMER_AGENT

    private static java.lang.String CONSUMER_AGENT

Constructor Detail

### ConsumerEnvironmentImpl

    public ConsumerEnvironmentImpl()

Method Detail

### getProducerRegistry

    public org.apache.wsrp4j.consumer.ProducerRegistry getProducerRegistry()

  Specified by:
    `getProducerRegistry` in interface `org.apache.wsrp4j.consumer.Consumer`
  Overrides:
    `getProducerRegistry` in class `org.apache.wsrp4j.consumer.portlet.impl.ConsumerEnvironmentImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD